Subject: Re: bug#58224: 29.0.50; "make bootstrap" spuriously warns: "comp.el newer than byte-compiled file"
From: Alan Mackenzie <[email-masked]>
To: Eli Zaretskii <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 2 Oct 2022 20:37:14 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Eli and Stefan.

On Sun, Oct 02, 2022 at 20:07:26 +0300, Eli Zaretskii wrote:
> > Date: Sun, 2 Oct 2022 16:46:01 +0000
> > Cc: [email-masked], [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > > > In lread.c I've got:

> > > >   struct timespec epoch_timespec = {(time_t)0, 0}; /* 1970-01-01T00:00 UTC */ 

> > > > , which clearly isn't satisfactory.

> > > I'm not sure I follow: why not satisfactory?

> > Don't we build for operating systems with different epochs?

> No, the Epoch is the same for everyone.  It's a Posix notion, AFAIK.

> > > Is mktime the function you are after?

> > Yes thanks!  But it's horribly complicated, involving wierd readings and
> > settings of the TZ environment variable, and so on.

> Not if you are interested in UTC.

> > If a binary zero time would do (as above), maybe it would be
> > satisfactory.  ;-)

> Yes.

OK, that's great!  I've committed a patch, and I'm closing the bug with
this post.

-- 
Alan Mackenzie (Nuremberg, Germanay).